Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi
Class POIXMLException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.POIXMLException

All Implemented Interfaces:
  java.io.Serializable

    public final class POIXMLException

extends java.lang.RuntimeException

Indicates a generic OOXML error.

Author:
  Yegor Kozlov
See Also:
  Serialized Form

Constructor Summary
`POIXMLException()` Create a new `POIXMLException` with no detail mesage.
`POIXMLException(java.lang.String msg)` Create a new `POIXMLException` with the `String` specified as an error message.
`POIXMLException(java.lang.String msg, java.lang.Throwable cause)` Create a new `POIXMLException` with the `String` specified as an error message and the cause.
`POIXMLException(java.lang.Throwable cause)` Create a new `POIXMLException` with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### POIXMLException

    public POIXMLException()

  Create a new `POIXMLException` with no detail mesage.

### POIXMLException

    public POIXMLException(java.lang.String msg)

  Create a new `POIXMLException` with the `String` specified as an error message.

  Parameters:
    `msg` - The error message for the exception.

### POIXMLException

    public POIXMLException(java.lang.String msg,
                           java.lang.Throwable cause)

  Create a new `POIXMLException` with the `String` specified as an error message and the cause.

  Parameters:
    `msg` - The error message for the exception.
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### POIXMLException

    public POIXMLException(java.lang.Throwable cause)

  Create a new `POIXMLException` with the specified cause.

  Parameters:
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.